%define upstream_name    Catalyst-Controller-HTML-FormFu
%define upstream_version 2.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Hidden text field which contains a unique token
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Action)
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::Component::InstancePerContext)
BuildRequires: perl(Catalyst::Controller)
BuildRequires: perl(Catalyst::Plugin::Session)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session::Store::File)
BuildRequires: perl(Catalyst::Runtime) >= 5.710.10
BuildRequires: perl(Catalyst::View::TT)
# BuildRequires: perl(Code::TidyAll::Plugin::Perl::AlignMooseAttributes)
BuildRequires: perl(Config::Any)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(HTML::FormFu) >= 2.60.0
BuildRequires: perl(HTML::FormFu::Constraint)
BuildRequires: perl(HTML::FormFu::Deploy)
BuildRequires: perl(HTML::FormFu::Element::Text)
BuildRequires: perl(HTML::FormFu::MultiForm) >= 1.20.0
BuildRequires: perl(HTML::FormFu::Plugin)
BuildRequires: perl(HTML::FormFu::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Attribute::Chained)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Pod::Tidy)
BuildRequires: perl(Regexp::Assemble)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Template)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::EOL)
BuildRequires: perl(Test::Kwalitee) >= 1.210.0
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Test::NoTabs)
BuildRequires: perl(Test::PAUSE::Permissions)
BuildRequires: perl(Test::Pod) >= 1.410.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildRequires: perl(Test::WWW::Mechanize) >= 1.160.0
BuildRequires: perl(Test::WWW::Mechanize::Catalyst)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Catalyst::Component::InstancePerContext)
%description
As of version 0.02000, the HTML::FormFu manpage doesn't use the TT template
files by default - it uses in internal rendering engine.

If you don't want to customise the generated markup, you don't need to use
the Catalyst::Helper::HTML::FormFu manpage at all.

If you want to customise the generated markup, you'll need a local copy of
the template files. To create the files in the default 'root/formfu'
directory, run:

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.40.0-5.mga10
+ Revision: 2212191
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 2.40.0-4.mga9
+ Revision: 1831398
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.40.0-3.mga8
+ Revision: 1503513
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.40.0-2.mga7
+ Revision: 1282087
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 2.40.0-1.mga7
+ Revision: 1226406
- New version 2.04

* Mon Oct 02 2017 tv <tv> 2.20.0-2.mga7
+ Revision: 1163258
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 2.20.0-1.mga7
+ Revision: 1141281
- update to 2.02

* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-5.mga6
+ Revision: 1022853
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 1.0.0-4.mga6
+ Revision: 951165
- Mageia 6 Mass Rebuild

* Thu Dec 11 2014 sander85 <sander85> 1.0.0-3.mga5
+ Revision: 802678
- Fix YAML error
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 586531
- update to 1.00

* Fri Oct 18 2013 umeabot <umeabot> 0.90.40-3.mga4
+ Revision: 509588
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.40-2.mga3
+ Revision: 363893
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.90.40-1.mga3
+ Revision: 297970
- update to 0.09004

* Wed Jun 15 2011 jquelin <jquelin> 0.90.30-1.mga2
+ Revision: 106508
- update to 0.09003

* Mon Apr 04 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 80318
- update to 0.09000

* Thu Jan 27 2011 jquelin <jquelin> 0.80.20-1.mga1
+ Revision: 41834
- mageia rebuild
- imported package perl-Catalyst-Controller-HTML-FormFu

